#pragma once

#include "simple_indicator.hh"

namespace AI {

class STDEV : public SimpleIndicator
{
public:
    STDEV(int period);
    STDEV(const STDEV&) = default;
    STDEV& operator=(const STDEV&) = default;
    void operator()(double value) override;
    double operator()() const override;
    void clear() override;
};

}
